package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMAssetDTO]
 */
@Data
public class EAMAssetDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [ASSETID]
     *
     */
    @JSONField(name = "assetid")
    @JsonProperty("assetid")
    private String assetid;

    /**
     * 属性 [ASSETNAME]
     *
     */
    @JSONField(name = "assetname")
    @JsonProperty("assetname")
    private String assetname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMASSETTYPEID]
     *
     */
    @JSONField(name = "eamassettypeid")
    @JsonProperty("eamassettypeid")
    private String eamassettypeid;

    /**
     * 属性 [EAMLOCATIONID]
     *
     */
    @JSONField(name = "eamlocationid")
    @JsonProperty("eamlocationid")
    private String eamlocationid;

    /**
     * 属性 [PASSETID]
     *
     */
    @JSONField(name = "passetid")
    @JsonProperty("passetid")
    private String passetid;


    /**
     * 设置 [ASSETNAME]
     */
    public void setAssetname(String  assetname){
        this.assetname = assetname ;
        this.modify("assetname",assetname);
    }

    /**
     * 设置 [EAMASSETTYPEID]
     */
    public void setEamassettypeid(String  eamassettypeid){
        this.eamassettypeid = eamassettypeid ;
        this.modify("eamassettypeid",eamassettypeid);
    }

    /**
     * 设置 [EAMLOCATIONID]
     */
    public void setEamlocationid(String  eamlocationid){
        this.eamlocationid = eamlocationid ;
        this.modify("eamlocationid",eamlocationid);
    }

    /**
     * 设置 [PASSETID]
     */
    public void setPassetid(String  passetid){
        this.passetid = passetid ;
        this.modify("passetid",passetid);
    }


}

